local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ReputationUITBC(container)





--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  --[[ Material List ]]--
  local desc = AceGUI:Create("Label")  
  desc:SetText("|cff00C78CThe Burning Crusade:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("All Burning Crusade Reputation Guides for Alliance, Horde and Neutral Factions.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  



--[[ Guides ]]--




--[[ A ]]-- 
  local AllianceIcon = AceGUI:Create("Label")
  AllianceIcon:SetText('|TInterface\\Icons\\ui_alliance_7legionmedal:32|t'.."|cff00E5EE Alliance:")
  AllianceIcon:SetFullWidth(true)
  AllianceIcon:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(AllianceIcon)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Honor Hold")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.HonorHoldGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Kurenai")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.KurenaiGuide(container)
  
  end)

--[[ H ]]--



  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


  local AllianceIcon = AceGUI:Create("Label")
  AllianceIcon:SetText('|TInterface\\Icons\\inv_bannerpvp_01:32|t '.."|cffff0000Horde:")
  AllianceIcon:SetFullWidth(true)
  AllianceIcon:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(AllianceIcon)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Thrallmar")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
core.ThrallmarGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Mag'har")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.MagharGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Tranquillien")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TranquillienGuide(container)
  
  end)


--[[ N ]]--

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")  
  desc:SetText('|TInterface\\Icons\\pvecurrency-valor:32|t '.."|cff00C78CNeutral :")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Cenarion Expidition")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.CenarionExpeditionGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Keepers of Time")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.KeepersofTimeGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Lower City")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.LowerCityGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Sha'tar")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheShatarGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Ogri'la")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.OgrilaGuides(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Netherwing")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheNetherwingGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Consortium")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheConsortiumGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Sporeggar")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.SporeggarGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Shattered Sun Offensive")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.ShatteredSunOffensiveGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Sha'tari Skyguard")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.ShatariSkyguardGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Aldor")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheAldorGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Scryers")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheScryersGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Violet Eye")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheVioletEyeGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Ashtongue Deathsworn")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.AshtongueDeathswornGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Scale of the Sands")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheScaleoftheSandsGuide(container)
  
  end)



























  
  
  
  
  
  
  
  
  
  
  
  end